Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.binding
Class DCInvokeMethodAdapter

`java.lang.Object
oracle.adf.model.binding.DCInvokeMethodAdapter`

All Implemented Interfaces:
  DCInvokeMethodListener

public class DCInvokeMethodAdapter
extends java.lang.Object
implements DCInvokeMethodListener

Default adapter for DCInvokeMethodListener event.

Constructor Summary
`DCInvokeMethodAdapter()`

Method Summary
`void` | `afterInvokeMethod(DCInvokeMethodEvent ev)` Notifies all listeners, so that they may implement necessary updates and invalidations on the UI side as a reaction to a performed action.
`void` | `beforeInvokeMethod(DCInvokeMethodEvent ev)` Notifies all listeners, so that they may prepare any necessary data for the current action, before the action is performed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DCInvokeMethodAdapter

    public DCInvokeMethodAdapter()

Method Detail

### beforeInvokeMethod

    public void beforeInvokeMethod(DCInvokeMethodEvent ev)

  Description copied from interface: `DCInvokeMethodListener`
  Notifies all listeners, so that they may prepare any necessary data for the current action, before the action is performed
  Specified by:
    `beforeInvokeMethod` in interface `DCInvokeMethodListener`

### afterInvokeMethod

    public void afterInvokeMethod(DCInvokeMethodEvent ev)

  Description copied from interface: `DCInvokeMethodListener`
  Notifies all listeners, so that they may implement necessary updates and invalidations on the UI side as a reaction to a performed action.
  Specified by:
    `afterInvokeMethod` in interface `DCInvokeMethodListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.